.\" @project        The CERN Tape Archive (CTA)
.\" @copyright      Copyright(C) 2001-2021 CERN
.\" @license        This program is free software: you can redistribute it and/or modify
.\"                 it under the terms of the GNU General Public License as published by
.\"                 the Free Software Foundation, either version 3 of the License, or
.\"                 (at your option) any later version.
.\"
.\"                 This program is distributed in the hope that it will be useful,
.\"                 but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"                 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"                 GNU General Public License for more details.
.\"
.\"                 You should have received a copy of the GNU General Public License
.\"                 along with this program.  If not, see <http://www.gnu.org/licenses/>.
.TH CPWD "3castor" "$Date: 2001/09/26 09:13:48 $" "CASTOR" "Common Library Functions"
.SH NAME
\fBCpwd\fP \- \fBCASTOR\fP \fBP\fPass\fBw\fPor\fBd\fP file Thread-Safe inferface
.SH SYNOPSIS
.B #include <Cpwd.h>
.P
.BI "struct passwd *Cgetpwnam(char *" name ");"
.P
.BI "struct passwd *Cgetpwuid(uid_t " uid ");"

.SH DESCRIPTION

\fBCpwd\fP is a common Thread-Safe API interface to get entries in the password file by
.BI name
or
.BI uid.

.SH RETURN VALUE
These routines return a passwd struct for the given name/uid.
In case of error, 0 is returned and the \fBserrno\fP variable is set.

.SH ERRORS
possible values for serrno and their meaning :
.TP 1.2i
.B SEUSERUNKN
the requested user/uid was not found
.TP
.B SEINTERNAL
an error occured while attempting to retrieve the passwd structure. More details are given in the errno variable.

.SH SEE ALSO
\fBserrno\fP, \fBgetpwnam\fP, \fBgetpwuid\fP

.SH AUTHOR
\fBCASTOR\fP Team <castor.support@cern.ch>
